test content
What is the Arc Client?
Install Arc

Recent Update: Version Mismatch Error

pmsattlerpmsattler Member Posts: 14 Arc User
I updated this morning and am now getting the Version Mismatch Error and now I cannot get into the game. I am on Windows 10, played yesterday for 6 hours, so I am not sure what is going on.
Fleet Admiral of The Lost boys

"Dreams are born in the deepest of minds, and destroyed in the shallowest of ones."

Comments

  • hawkeyenfo117hawkeyenfo117 Member Posts: 17 Arc User
    edited March 7
    After patching the game today, an error window pops up. It is titled "Unsupported DirectX Version" and says "Support for the Video Card you are using has ended. You will be unable to play using this Video Card. Please upgrade your Video Card to one that supports DirectX Hardware Feature Level 10 or higher; See your Video Card manufacturer's documentation for information on DirectX Hardware Feature Level support."

    I have checked all my drivers, and they seem to be up to date, and the system is running DirectX 12. Obviously it was working yesterday before the patch. I wonder if the latest patch broke something for some systems.

    Edit: Fortunately installing some pending Windows updates and restarting the system seemed to get it to work.
  • rndflactuationrndflactuation Member Posts: 712 Arc User
    edited March 17
    pmsattler wrote: »
    I updated this morning and am now getting the Version Mismatch Error and now I cannot get into the game. I am on Windows 10, played yesterday for 6 hours, so I am not sure what is going on.

    you MIGHT have to tick force verify on - in your client's option. I think this is the solution, or at least a part of it.
    Also, in the past it worked best together with on demand patching ticked OFF, but unsure if that thing changed since.
Sign In or Register to comment.